/* ------------------------------------------------------------ */
/* 共用CSS */
:root {
  /* 在這裡定義你的品牌主色 */
  --primary-color: #FFF;
}



/* ------------------------------------------------------------ */
/* 共用CSS */
/* 抽獎得獎名單 + 活動辦法 + 購買通路 */
/* 背景 */
.main-general .bg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: url("/images/bg/bg.jpg");
  background-repeat: no-repeat;
  background-position: top center;
  background-size: cover;
  overflow: hidden;
  pointer-events: none;
  z-index: 0;
}

.main-general .bg:before,
.main-general .bg:after,
.main-general .bg-bottle {
  content: "";
  position: absolute;
  bottom: 0%;
  left: 22%;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-size: auto 100%;
  background-position: center bottom;
}

.main-general .bg:before {
  background-image: url("/images/bg/bg_pc_02_01.jpg");
  mix-blend-mode: lighten;
  z-index: 1;
}

.main-general .bg:after {
  background-image: url("/images/bg/bg_pc_02_02.jpg");
  mix-blend-mode: lighten;
  z-index: 2;
}

.main-general .bg-bottle {
  background-image: url("/images/bg/bg_pc_01.png");
  z-index: 1;
}

/* ------------------------------------------------------------ */
/* 共用CSS */
.general {
  position: relative;
  width: 65.56%;
  max-width: 82.6rem;
  min-height: calc(100vh - 76px);
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 9rem;
  z-index: 1;
  background: hsla(0, 0%, 0%, 0.75);
}

.general>span {
  position: relative;
  display: block;
  width: 100%;
  text-align: center;
  font-size: 2.83rem;
  color: var(--primary-color);
  letter-spacing: 0.5rem;
  font-weight: 700;
}

.general>span:after {
  content: "";
  position: absolute;
  left: calc(50% - 0rem);
  bottom: -1.2rem;
  width: calc(92% - 0rem);
  height: 1px;
  background-color: #fff;
  transform: translate(-50%);
}

.general-content {
  width: 100%;
  padding: 2.5rem 1.5rem;
  line-height: 1.3;
}

.general-content>ul {
  display: flex;
  flex-direction: column;
  font-size: 2rem;
  color: var(--primary-color);
  padding: 2.5rem 1rem 5rem 1rem;
  letter-spacing: 0.1rem;
  font-weight: 400;
  gap: 1.5rem;
}

.general-content .page {
  max-width: 740px;
  width: 92.5%;
  margin: auto;
}

/* 按鈕區域 */
.btns {
  display: inline-block;
  width: 100%;
  height: 100%;
  text-align: center;
  overflow: hidden;
  margin-top: 2.5rem;
}

.btns a {
  font-size: 2rem;
  color: #fff;
  width: 10.5rem;
  background: linear-gradient(to bottom, #ff0000, #7c080a);
  border: 3px solid #ff0202;
  border-radius: 1.5rem;
  padding: 0.3rem 0 0.5rem 0;
  font-weight: 700;
  margin-left: -0.5rem;
  letter-spacing: 0;
  position: relative;
  z-index: 1;
}

.btns a:hover {
  background: linear-gradient(to bottom, #fc2c2c, #ad0c0f);
  border: 3px solid #fc2c2c;
}

.btns a.prev-page-btn,
.btns a[megais_ga="exchange_return_btn"] {
  background: linear-gradient(to bottom, #7f7f7f, #414141);
  border: 3px solid #6f6f6f;
}

.btns a.prev-page-btn:hover,
.btns a[megais_ga="exchange_return_btn"]:hover {
  background: linear-gradient(to bottom, #ff0000, #7c080a);
  border: 3px solid #ff0202;
}

/* ------------------------------------------------------------ */
/* 我的序號(登入序號明細、兌換明細) */
/* 贈品兌換 */
.main-general .top-content {
  display: flex;
  justify-content: center;
  position: relative;
}

.main-general .top-content::after {
  content: "";
  position: absolute;
  left: calc(50% - 0rem);
  bottom: 0;
  width: calc(90% - -4.4rem);
  height: 1px;
  background-color: #fff;
  transform: translate(-50%);
}

.main-general .top-content .username {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2.6rem;
  width: 43%;
  height: 11.84rem;
  border-right: 1px solid #FFF;
}

.main-general .top-content .username span {
  font-size: 2.8rem;
  font-weight: 700;
  letter-spacing: 0.1rem;
  color: #fff100;
}

.main-general .top-content .container {
  width: 57%;
  padding: 0.9rem 0 0 3.5rem;
}

.main-general .top-content .container .text {
  width: 95%;
}

.main-general .top-content .container .text>p {
  font-size: 1.26rem;
  font-weight: 400;
  color: #fff100;
  letter-spacing: 0.2rem;
  text-indent: 0.2rem;
}

.main-general .top-content .container .text .user-content {
  height: 6.8rem;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-top: 0.9rem;
  font-size: 2.2rem;
  color: #FFF;
  font-weight: 700;
  letter-spacing: 0.3rem;
  gap: 0.59rem;
}

.main-general .top-content .container .text .user-content>p {
  width: 58%;
}

.main-general .top-content .container .text .user-content>p:nth-of-type(3) {
  width: 40%;
  text-align: right;
}

.main-general .top-content .container .user-content>p>span {
  color: #fff100;
  width: 27%;
  text-align: right;
  font-size: 2.2rem;
  letter-spacing: 2px;
  margin-right: 0.5rem;
}

.main-general .top-content .container .text p:nth-of-type(1) span {
  margin-left: 0.5rem;
}

.main-general .top-content .container .text p:nth-of-type(2) span {
  width: 50%;
}

.main-general .top-content .container .text p:nth-of-type(3) span {
  width: 38%;
}

/* ipad */
.mobile-member-tabs {
  display: none;
}

@media (min-width: 1401px) {

  .main-general .bg:before,
  .main-general .bg:after,
  .main-general .bg-bottle {
    content: "";
    position: absolute;
    bottom: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: auto 100%;
    --height-offset: calc(5.8vh - (100vh - 900px));
    --clamped-vw: min(100vw, 1600px);
    --width-push: calc(max(0px, var(--clamped-vw) - 1400px) * 1);
    --extra-push: calc(max(0px, 100vw - 1600px) * 0.2);
    background-position: calc(10% + var(--height-offset) + var(--width-push) + var(--extra-push)) bottom;
  }
}

/* ------------------------------------------------------------ */
/* 專門For Tablet設定 */
@media (max-width: 1024px) {

  /* ------------------------------------------------------------ */
  /* 共用CSS */
  /* 抽獎得獎名單 + 活動辦法 + 購買通路 */
  /* 背景 */
  .main-general .bg {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: url("/images/bg/bg_t.jpg");
    background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
    overflow: hidden;
    pointer-events: none;
    z-index: 0;
  }

  .main-general .bg:before {
    background: url("/images/bg/bg_t_01.png");
    background-repeat: no-repeat;
    background-position: bottom center;
    background-size: 100% auto;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    mix-blend-mode: lighten;
    z-index: 1;
  }

  .main-general .bg:after {
    display: none;
  }

  .main-general .bg-bottle {
    display: none;
  }

  /* ------------------------------------------------------------ */
  /* 共用CSS */
  .general {
    width: 100%;
    max-width: none;
    min-height: calc(100vh - 104px);
    background: none;
    padding-top: 5.5rem;
  }

  .general>span {
    font-size: 2.3rem;
    letter-spacing: 0.5rem;
    text-indent: 0.5rem;
    font-weight: 500;
  }

  .general>span:after {
    width: calc(10% - -2rem);
    height: 1px;
  }

  .general-content {
    margin-top: 1rem;
    padding: 4rem 1.5rem;
  }

  .general-content>ul {
    font-size: 2rem;
    padding: 1.5rem 1rem 3rem 1rem;
    letter-spacing: 0.1rem;
    gap: 1.5rem;
  }

  /* 共用 */
  /* 輸入序號、我的序號、贈品兌換 */
  .mobile-member-tabs {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20rem;
    margin-top: -4.5rem;
    z-index: 10;
  }

  .mobile-member-tabs .tab-btn {
    flex-grow: 1;
    text-align: center;
    font-size: 2.5rem;
    font-weight: 400;
    letter-spacing: 0.5rem;
    color: #FFF;
    padding: 1rem 0;
    text-indent: 0.5rem;
  }

  .mobile-member-tabs .tab-btn.active {
    padding-bottom: calc(0.5rem + 2px);
    border-bottom: 2px solid #ffff00;
  }

  .main-general.register .general>span,
  .main-general.serial-number .general>span,
  .main-general.exchange .general>span {
    display: none;
  }

  /* ------------------------------------------------------------ */
  /* 我的序號(登入序號明細、兌換明細) */
  /* 贈品兌換 */
  .main-general .top-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
  }

  .main-general .top-content::after {
    width: calc(80% - -4.4rem);
  }

  .main-general .top-content .username {
    position: relative;
    width: 100%;
    height: auto;
    border-right: none;
    padding: 2.5rem 0 1.5rem 0;
  }

  .main-general .top-content .username::after {
    content: "";
    position: absolute;
    left: calc(50% - 0rem);
    bottom: -50%;
    width: calc(80% - -4.4rem);
    height: 1px;
    background-color: #fff;
    transform: translate(-50%);
  }

  .main-general .top-content .username span {
    font-size: 3.6rem;
    font-weight: 500;
    letter-spacing: 0.2rem;
    text-indent: 0.2rem;
    color: #FFF;
  }

  .main-general .top-content .username span:nth-of-type(2) {
    display: none;
  }

  .main-general .top-content .container {
    width: 100%;
    padding: 0;
  }

  .main-general .top-content .container .text {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
  }

  .main-general .top-content .container .text>p {
    font-size: 1.7rem;
    color: #ffde00;
  }

  .main-general .top-content .container .text>p>span {
    display: none;
  }

  .main-general .top-content .container .text .user-content {
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: nowrap;
    width: 82%;
    height: 3.2rem;
    margin-bottom: 2rem;
    font-size: 2.5rem;
    font-weight: 300;
    letter-spacing: 0.2rem;
    text-indent: 0.2rem;
  }

  .main-general .top-content .container .user-content>p>span {
    color: #ffde00;
    width: 7rem;
    text-align: center;
    font-size: 2.5rem;
    letter-spacing: 0.2rem;
    margin-right: 1rem;
    margin-left: 1rem;
  }

  .main-general .top-content .container .text p:nth-of-type(1) span,
  .main-general .top-content .container .text p:nth-of-type(3) span {
    margin-left: 1rem;
  }

  /* 按鈕區域 */
  .btns a {
    background: #de1f11;
    box-shadow: none;
    padding: 1rem 0 1.3rem 0;
    font-weight: 500;
    border: none;
    border-radius: 0;
    width: 17rem;
    letter-spacing: 0.5rem;
    text-indent: 0.5rem;
  }

  .btns a:hover {
    background: #de1f11;
    border: none;
  }

  .btns a.prev-page-btn,
  .btns a[ga="exchange-confirm-fixed"],
  .btns a.prev-page-btn:hover,
  .btns a[ga="exchange-confirm-fixed"]:hover {
    background: #df2212;
    border: none;
  }
}

/* ------------------------------------------------------------ */
/* 專門For Ｍobile設定 */
@media (max-width: 640px) {

  /* ------------------------------------------------------------ */
  /* 共用CSS */
  .general {
    width: 95%;
    margin: 0 auto;
  }

  .general-content {
    padding: 4rem 0rem;
  }

  .general>span:after {
    width: calc(20% - 0rem);
    height: 1px;
  }

  .btns a {
    width: 18rem;
  }

  /* 共用 */
  /* 輸入序號、我的序號、贈品兌換 */
  .mobile-member-tabs {
    gap: 5rem;
    width: 97%;
    margin-top: 0.1rem;
  }

  /* ------------------------------------------------------------ */
  /* 我的序號(登入序號明細、兌換明細) */
  /* 贈品兌換 */
  .main-general .top-content::after,
  .main-general .top-content .username::after {
    width: calc(100% - 0rem);
  }

  .main-general .top-content .container .text .user-content {
    margin-bottom: 2rem;
    font-size: 2.1rem;
    width: 98%;
  }

  .main-general .top-content .container .text .user-content>p {
    width: 41%;
  }

  .main-general .top-content .container .text .user-content>p:nth-of-type(2) {
    width: 30%;
  }

  .main-general .top-content .container .text .user-content>p:nth-of-type(3) {
    width: 26%;
    text-align: right;
  }

  .main-general .top-content .container .user-content>p>span {
    width: 26%;
    font-size: 2.4rem;
    letter-spacing: 0rem;
    margin-right: 0.5rem;
    margin-left: 0.5rem;
  }

  .main-general .top-content .container .text p:nth-of-type(1) span {
    width: 26%;
    margin-left: 0.5rem;
  }

  .main-general .top-content .container .text p:nth-of-type(2) span {
    width: 34%;
    margin-left: 0.5rem;
  }

  .main-general .top-content .container .text p:nth-of-type(3) span {
    width: 34%;
    margin-left: 0.5rem;
  }


}